#include "OnryoAfterImageComponent.h"

class AKiller;

bool UOnryoAfterImageComponent::ShouldShowAfterImage() const
{
	return false;
}

void UOnryoAfterImageComponent::SetAllowedToSpawnImages(bool canSpawnImages)
{

}

bool UOnryoAfterImageComponent::IsOnryoInvisible() const
{
	return false;
}

bool UOnryoAfterImageComponent::IsInteracting() const
{
	return false;
}

bool UOnryoAfterImageComponent::IsAttacking() const
{
	return false;
}

AKiller* UOnryoAfterImageComponent::GetKiller() const
{
	return NULL;
}

UOnryoAfterImageComponent::UOnryoAfterImageComponent()
{
	this->_isAllowedToSpawnImages = true;
	this->_hideAfterImageDuringInteractions = false;
}
